<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div
      class="modal s--modal"
      id="myJobDetails"
      v-if="details"
      data-backdrop="static"
      data-keyboard="false"
    >
      <div class="modal-dialog" style="max-width: 600px">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title">
              <i class="icon icon-audit"></i>
              Chi tiết công việc
            </h3>
            <button
              type="button"
              class="close modal-close"
              aria-label="Close"
              @click.prevent="cancelUpdate()"
            >
              <span aria-hidden="true">
                <i class="la la-times"></i>
              </span>
            </button>
          </div>

          <div class="modal-body" style="overflow: inherit;">
            <div class="details">
              <div
                class="form-group form-group-title"
                :class="{ 'has-danger': errors.has(scope + '.title') || server_errors != '' && server_errors['title'] }"
              >
                <div class="form-control-title-left">
                  <template v-if="editDetails['title']">
                    <input
                      class="form-control nt-detail-my-job-form-control"
                      name="title"
                      v-model="details.title"
                      id="title"
                      :data-vv-scope="scope"
                      v-validate="{ required: true, max: 250 }"
                      @keyup="changeDataInputType('title', $event)"
                      @blur="hideUpdate('title')"
                    />
                    <div
                      class="form-control-feedback m--font-danger"
                      v-if="errors.has(scope + '.title')"
                    >{{ errors.first(scope + '.title') }}</div>
                    <div class="form-control-feedback m--font-danger" v-else>
                      <div
                        class="form-control-feedback m--font-danger"
                        v-if="server_errors != '' && server_errors['title']"
                      >{{ server_errors['title'][0] }}</div>
                    </div>
                  </template>

                  <template v-else>
                    <div class="nt-details form-control" @click="showUpdate('title')">
                      <h2 class="nt-title">{{ details.title }}</h2>
                      <span class="input-icon">
                        <i class="icon icon-edit"></i>
                      </span>
                    </div>
                  </template>
                </div>
                <a
                  href="#"
                  @click.prevent="onDeleteTask(details)"
                  class="nt-action-trash"
                  data-toggle="m-tooltip"
                  data-original-title="Xóa công việc"
                >
                  <i class="icon icon-trash"></i>
                </a>
              </div>
              <div
                class="form-group form-group-time"
                :class="{ 'has-danger': errors.has(scope + '.deadline_date') }"
              >
                <label class="form-control-label nt-label">Thời hạn</label>
                <div class="form-group-time-content">
                  <label
                    class="nt-label-time danger mb-0"
                    v-if="!isShowExpire(details.deadline)"
                  >Quá hạn</label>

                  <div class="deadline-date">
                    <template v-if="editDetails['deadline_date']">
                      <s-input-date
                        :data-vv-scope="scope"
                        v-model="details.deadline_date"
                        id="deadline_date"
                        name="deadline_date"
                        v-validate="{ required: details.deadline_time ? true : false }"
                        @change="changeDataInputType('deadline_date')"
                        class="nt-detail-my-job-form-control"
                      ></s-input-date>
                      <div
                        class="form-control-feedback m--font-danger"
                        v-if="errors.has(scope + '.deadline_date')"
                      >{{ errors.first(scope + '.deadline_date') }}</div>
                    </template>
                    <template v-else>
                      <div
                        class="nt-details form-control nt-form-control-sm"
                        @click="showUpdate('deadline_date')"
                      >
                        <i class="icon icon-calendar1" style="margin-right: 8px"></i>
                        <span
                          v-if="details.deadline_date"
                        >{{ details.deadline_date | formatDateTime }}</span>
                        <span v-else class="not-value">Chưa cập nhật</span>
                        <span class="input-icon">
                          <i class="icon icon-edit"></i>
                        </span>
                      </div>
                    </template>
                  </div>

                  <div class="deadline-time">
                    <template v-if="editDetails['deadline_time']">
                      <s-input-time
                        :data-vv-scope="scope"
                        v-model="details.deadline_time"
                        id="deadline_time"
                        name="deadline_time"
                        @change="changeDataInputType('deadline_time')"
                        class="nt-detail-my-job-form-control"
                      ></s-input-time>
                    </template>
                    <template v-else>
                      <div
                        class="nt-details form-control nt-form-control-sm"
                        @click="showUpdate('deadline_time')"
                      >
                        <i class="icon-wall-clock1" style="margin-right: 8px"></i>
                        <span
                          v-if="helpers.formatTime(details.deadline_time)"
                        >{{ helpers.formatTime(details.deadline_time) }}</span>
                        <span v-else class="not-value">Chưa cập nhật</span>
                        <span class="input-icon">
                          <i class="icon icon-edit"></i>
                        </span>
                      </div>
                    </template>
                  </div>
                </div>
              </div>
              <div
                class="form-group mb-0"
                :class="{ 'has-danger': errors.has(scope + '.desc') || server_errors != '' && server_errors['desc'] }"
              >
                <label class="form-control-label nt-label">Nội dung</label>
                <template v-if="editDetails['desc']">
                  <s-textarea
                    :data-vv-scope="scope"
                    name="desc"
                    v-model="details.desc"
                    v-validate="{ max: 1025 }"
                    id="desc"
                    @keyup="changeDataInputType('desc')"
                    @blur="hideUpdate('desc')"
                  ></s-textarea>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="errors.has(scope + '.desc')"
                  >{{ errors.first(scope + '.desc') }}</div>
                  <div class="form-control-feedback m--font-danger" v-else>
                    <div
                      class="form-control-feedback m--font-danger"
                      v-if="server_errors != '' && server_errors['desc']"
                    >{{ server_errors['desc'][0] }}</div>
                  </div>
                </template>

                <template v-else>
                  <div class="nt-details form-control nt-details-desc" @click="showUpdate('desc')">
                    <div
                      v-if="details.desc"
                      style="white-space: pre-line; word-break: break-word;"
                      v-html="details.desc"
                    ></div>
                    <div v-else class="not-value">Chưa cập nhật</div>
                    <span class="input-icon">
                      <i class="icon icon-edit"></i>
                    </span>
                  </div>
                </template>
              </div>
            </div>
          </div>

          <div class="modal-footer modal-footer-details" v-if="isCountChange > 0">
            <div class="actions">
              <button
                :disabled="isDisabled"
                :class="{'nt-button-disabled' : isDisabled}"
                @click.prevent="update()"
                type="submit"
                class="modal-close nt-button nt-button-warning mr-2"
              >Cập nhật</button>
              <button
                @click.prevent="cancelUpdate()"
                type="button"
                class="nt-button nt-button-secondary mr-2 modal-close"
              >Hủy bỏ</button>
            </div>

            <div class="count">Bạn đã thay đổi {{ isCountChange }} trường thông tin</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
